package cn.reghao.tnb.auth.api.dto;

import lombok.Getter;

import java.io.Serializable;

/**
 * @author reghao
 * @date 2025-09-05 17:31:35
 */
@Getter
public class AccountAvatar implements Serializable {
    private static final long serialVersionUID = 1L;

    private String userIdStr;
    private String username;
    private String avatarUrl;

    public AccountAvatar(String userIdStr, AccountInfo accountInfo) {
        this.userIdStr = userIdStr;
        this.username = accountInfo.getUsername();
        this.avatarUrl = accountInfo.getAvatarUrl();
    }
}
